﻿Imports System
Imports System.ComponentModel
Imports System.Diagnostics
Imports System.Drawing
Imports System.Globalization
Imports Telerik.Reporting
Imports Telerik.Reporting.Data
Imports Telerik.Reporting.Drawing


''' <summary>
''' Summary description for Report1.
''' </summary>
<Description("Product Catalog Report. (Multilingual)")> _
Partial Public Class ProductCatalog
    Inherits Report
    Public Sub New()
        ''' <summary>
        ''' Required for telerik Reporting designer support
        ''' </summary>
        InitializeComponent()

        AddHandler Me.ItemDataBinding, AddressOf Me.ProductCatalog_ItemDataBinding
    End Sub

    Sub ProductCatalog_ItemDataBinding(ByVal sender As Object, ByVal e As EventArgs)
        Dim cultureID As String = DirectCast(Me.ReportParameters("CultureID").Value, String)

        Dim cultureInfo As CultureInfo = Nothing
        If String.Compare(cultureID, "zh-CHT", True, CultureInfo.InvariantCulture) = 0 Then
            cultureInfo = New CultureInfo("zh-TW", False)
        Else
            cultureInfo = New CultureInfo(cultureID)
        End If

        Me.Culture = cultureInfo
    End Sub

    Public Shared Function ColorFromName(ByVal colorName As String) As Color
        If Not String.IsNullOrEmpty(colorName) Then
            Return Color.FromName(colorName)
        End If
        Return Color.Transparent
    End Function
End Class
