Imports System
Imports System.Collections.Generic
Imports System.IO
Imports System.Reflection
Imports Telerik.Reporting
Imports System.ComponentModel

''' <summary>
''' Summary description for ReportExplorer
''' </summary>
Public NotInheritable Class ReportExplorer
    Private Sub New()
    End Sub
    Public Shared Function GetReports() As List(Of Type)
        Dim list As New List(Of Type)()
        Dim assembly As Assembly = GetType(ReportExplorer).Assembly
        For Each type As Type In assembly.GetTypes()
            If type.IsAbstract Then
                Continue For
            End If

            If GetType(IReportDocument).IsAssignableFrom(type) _
                AndAlso TypeDescriptor.GetAttributes(type)(GetType(BrowsableAttribute)).Equals(BrowsableAttribute.Yes) Then
                list.Add(type)
            End If
        Next
        list.Sort(AddressOf ReportExplorer.CompareByName)
        Return list
    End Function

    Private Shared Function CompareByName(ByVal t1 As Type, ByVal t2 As Type) As Integer
        Return t1.Name.CompareTo(t2.Name)
    End Function
End Class

